html,
body
{
    height:100%;
    margin:0;
    padding:0;
    overflow:hidden;
    font-size:13.25px;
    font-family:-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
}

label {margin-bottom:0.25rem} /* distanza delle label dai campi di input sottostanti */


/* Grigio per tutti i campi disabilitati vanno esplicitati tutti altrimenti prevale lo stile di bootstrap*/
.form-control:disabled {background-color:#e9ecefa6}

/* equivale a shadow + rounded */
.card {
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
    border-radius: 0.25rem;
}

/* margine dei form-group per filtri e pop-up */
.form-group {margin-bottom: 0.55rem;}

/* in aggiunta a input-group-append */
.cs-append {background-color:transparent}
.cs-append-btn {
    padding-top: 0;
    padding-right: 0;
    padding-bottom: 0;
    border: 0;
    background-color:transparent;
}

/* NAVBAR */
.navbar {background-color:#428bca;}

.navbar-brand {
    line-height: 25px;
    height: 25px;
    padding-top: 0;
    font-size: 1.7rem;
}

.navbar-nav li a {
    line-height: 25px;
    height: 25px;
    padding-top: 0;
}

/* NAVBAR bandierina multilingua */
.flag { background-repeat: no-repeat; background-size: 28px 18px; height: 18px; width: 30px; }
.flag-it { background-image:url("../img/it.png"); }
.flag-en {  background-image:url("../img/en.png"); }

.font-weight-500{
    font-weight: 500;
}

.hide{
    display: none;
}

/* errore per campo obbligatorio */

.cs-obbl.k-combobox {
    border: 1px solid red;
}


/* span vuoti nelle colonne con immagini DEPRECATO NON USARE, utilizzare cs-hidden con una qualsiasi immagine di font awesome*/
.cs-blank {width:16px; display:inline-block; }

.cs-hidden {visibility:hidden;}

.cs-border-success{
    color: #495057;
    background-color: #fff;
    border-color: #a6c8e6;
    outline: 0;
    box-shadow: 0 0 0 3px rgba(40, 167, 69, 0.20);
    border-color:#28a74552 !important
}




/* SPECIFICI DEI POP-UP */

.cs-pop {}			/*per ereditare classi specifiche nei pop-up*/
/*.cs-pop .form-group {margin-bottom: 0.75rem;} */
/*.cs-pop .form-group label {margin-bottom: 0.25rem;} */


/* SEPARATORE DI COLONNA DEL GRID */
.cs-col-sep {
    border-right-color: #e4e2e2!important;
    border-right-style: solid!important;
    border-right-width: 3px!important;
}

/*per precauzione*/
/* rimuove la freccia nel dropdown */
/*
.dropdown-toggle::after {
}
*/



/*
	  ==============================================================================================================
	       Albero dei Men�
	  ==============================================================================================================

*/

/* albero delle funzioni nel drawer: tutto a sinistra e righe ravvicinate*/
#overlay-drawer .k-icon {margin-left:-16px}
#overlay-drawer .k-in {padding-top:0.17rem;padding-bottom:0.17rem}

/* Toglie la scrollbar orizzontale dell'albero che si attiva nella chiusura del drawer */
#tvwMenu {
    overflow: visible;
}
/* font awesome */
.k-treeview .k-in .k-sprite {margin-right:0.75rem;font-size:1rem}

.k-treeview .k-sprite,
.k-treeview .k-sprite::before {
    vertical-align: middle;
    overflow:visible;
    width:auto;
    height:auto
}

/* immagini dei men� */
/* nodo */
#tvwMenu .k-sprite.fa-book{
    --fa-primary-color: royalblue;
    --fa-secondary-color: royalblue;
    font-size:1.1rem;
}
/* foglia */
#tvwMenu .k-sprite.fa-book-open{
    --fa-primary-color: royalblue;
    --fa-secondary-color: royalblue;
    font-size:1.1rem;
}


/*  ============================= Pulsante Kendo Button ================================================================ */

/* Pulsante rosso, va definito con k-outline cs-btn-danger nel codice */
.k-button.k-outline.cs-btn-danger{color:#DC3545}
.k-button.k-outline.cs-btn-danger:hover{background-color:#DC3545;border-color:#DC3545;color:white}

/*  ============================= Pulsante pop-up ================================================================ */

ul.cs-menu-button {
    padding:0px !important;
    border:1px solid;
    border-color:#428bca !important;
    border-radius:0.25rem}

ul.cs-menu-button .k-sprite {
    text-indent: 0;
    font-size: 1.5rem;
    vertical-align: middle;
    overflow:visible;
    height:auto;
    color:   #428bca;
    margin-right:0.7rem;
}

ul.cs-menu-button:hover {background-color:#428bca !important;}  /* sfondo primary */
ul.cs-menu-button:hover>li>.k-link {color:white;}
ul.cs-menu-button.k-menu:not(.k-context-menu) > .k-item > .k-state-active {color:white;}
ul.cs-menu-button.k-menu .k-animation-container > ul {margin-left:-1rem} /* bordo del container */
ul.cs-menu-button .k-link.k-menu-link {padding-left:0.7rem;}
ul.cs-menu-button>li {padding-left:1rem;padding-right:1rem}
ul.cs-menu-button>li>.k-link {color:#428bca;font-weight:500}
ul.cs-menu-button>li>.k-link:hover {color:white;}
ul.cs-menu-button .k-i-arrow-60-down {transform: rotate(180deg)}

/*  ============================= Legenda dropdown ================================================================ */
.cs-legend.k-sprite {
    text-indent: 0;
    font-size: 1.5rem;
    vertical-align: middle;
    overflow:visible;
    width:auto;
    height:auto;
    padding: 0;
    color:   #428bca;
    margin-right:0;
}
.cs-legend.k-menu.k-menu-horizontal:not(.k-context-menu) {
    padding: 0;
}
.cs-legend li .k-sprite {height: auto; width:1.9rem; overflow:visible;}
.cs-legend .k-menu-group .k-menu-link {padding-left:1rem; padding-right:1rem}


/*-------------------------------------------------------------------------------------------------------------------------------------------
  gdn 24-4-2020
  
  stili da rivedere e generalizzare per il futuro
  -------------------------------------------------------------------------------------------------------------------------------------------
*/

/* tabella di riepilogo, di fianco al go, NON VA USATA PER ID definire cs- */

/* #table-riepilogo a:hover { text-decoration: none; } 
*/
/*
.cs-fieldset {
	<!-- my-2 -->
	margin-top: 0.5rem !important;
	margin-bottom: 0.5rem !important;
	<!-- text-primary -->
	color: #428bca !important;
	<!-- border-bottom -->
	border-bottom: 1px solid #dee2e6 !important;
	<!-- border-primary -->
	border-color: #428bca !important;
	<!-- w-100 -->
	width: 100% !important;
	
	font-weight: 500;		
}
*/

/*	CLASSI COPIATE DA RIN-INCASSI.CSS PER LA GESTIONE DELLE PAGINE DEI LOG*/

.cs-fieldset {
    /* my-2 */
    margin-top: 0.5rem !important;
    margin-bottom: 0.5rem !important;
    /* text-primary */
    color: #428bca !important;
    /* border-bottom */
    border-bottom: 1px solid #dee2e6 !important;
    /* border-primary */
    border-color: #428bca !important;
    /* w-100 */
    width: 100% !important;
    /* font-weight-500 */
    font-weight: 500;
}


/* stati foglio cassa */

.sts-10 {font-size: 1.2rem; --fa-primary-color:gold; --fa-secondary-color:gold;}

.sts-20{
    --fa-primary-color:orange;
    --fa-secondary-color:orange;
    font-size: 1.2rem;
}

.sts-30{
    --fa-primary-color:tomato;
    --fa-secondary-color:tomato;
    font-size: 1.2rem;
}

.sts-40{
    --fa-primary-color:lightblue;
    --fa-secondary-color:lightblue;
    font-size: 1.2rem;
}
.sts-45{
    --fa-primary-color:tomato;
    --fa-secondary-color:tomato;
    font-size: 1.2rem;
}
.sts-50{
    --fa-primary-color:green;
    --fa-secondary-color:green;
    font-size: 1.2rem;
}

.sts-60{
    --fa-primary-color:blue;
    --fa-secondary-color:blue;
    font-size: 1.2rem;
}

.sts-70{
    --fa-primary-color:gray;
    --fa-secondary-color:gray;
    font-size: 1.2rem;
}

.sts-80{
    --fa-primary-color:blue;
    --fa-secondary-color:blue;
    font-size: 1.2rem;
}


/* log operazioni */
.log-piu {
    font-size: 1.2rem;
    --fa-primary-color: green;
    --fa-secondary-color: green;
}
.log-excl{
    font-size: 1.2rem;
    --fa-primary-color: blue;
    --fa-secondary-color: blue;
}
.log-sync {
.font-size: 1.2rem;
    --fa-primary-color: blue;
    --fa-secondary-color: blue;
}
.log-check {
.font-size: 1.2rem;
    --fa-primary-color: blue;
    --fa-secondary-color: blue;
}
.log-SM {
.font-size: 1.2rem;
    --fa-primary-color: green;
    --fa-secondary-color: green;
}
.log-SA {
.font-size: 1.2rem;
    --fa-primary-color: orange;
    --fa-secondary-color: orange;
}
.log-MO {
.font-size: 1.2rem;
    --fa-primary-color: green;
    --fa-secondary-color: red;
}
.log-err-sys {color: red; font-size: 1.2rem; }
.log-err-app {--fa-primary-color: crimson; --fa-secondary-color: crimson; font-size: 1.2rem; }
.log-warn {--fa-primary-color: #1F1F2E; --fa-secondary-color: #E6B800; font-size: 1.2rem; }
.log-recycle {--fa-primary-color: blue; --fa-secondary-color: blue; font-size: 1.2rem; }
.log-det {--fa-primary-color: green; --fa-secondary-color: green; font-size: 1.2rem; }
.log-info {--fa-primary-color: blue; --fa-secondary-color: blue; font-size: 1.2rem; }

/* riconciliazione */
.ric-daRic {
    font-size: 1.2rem;
    --fa-primary-color: tomato;
    --fa-secondary-color: tomato;
}

.ric-dispute {
    font-size: 1.2rem;
    --fa-primary-color: blue;
    --fa-secondary-color: blue;
}

.ric-noOpePrv {
    font-size: 1.2rem;
    --fa-primary-color: gold;
    --fa-secondary-color: gold;
}

.ric-noOpeInt {
    font-size: 1.2rem;
    --fa-primary-color: orange;
    --fa-secondary-color: orange;
}

.ric-legame {
    font-size: 1.2rem;
    --fa-primary-color: green;
    --fa-secondary-color: green;
}

/* FLUSSI */
.flu-trans {--fa-primary-color: green; --fa-secondary-color: green; font-size: 1.2rem; }
.flu-recycle {--fa-primary-color: blue; --fa-secondary-color: blue; font-size: 1.2rem; }
.flu-rielaborazione {--fa-primary-color: gold; --fa-secondary-color: gold; font-size: 1.2rem; }
.flu-rielaborato {--fa-primary-color: green; --fa-secondary-color: green; font-size: 1.2rem; }
.flu-rinviato {--fa-primary-color: green; --fa-secondary-color: green; font-size: 1.2rem; }

/* REPORT */

.tip-fil-xls {--fa-primary-color: green; --fa-secondary-color: green; font-size: 1.2rem; }
.tip-fil-pdf {--fa-primary-color: tomato; --fa-secondary-color: tomato; font-size: 1.2rem; }
.sts-rpt-sca {--fa-primary-color: green; --fa-secondary-color: green; font-size: 1.2rem; }
.sts-rpt-ann {--fa-primary-color: tomato; --fa-secondary-color: tomato; font-size: 1.2rem; }
.sts-ric-auto {--fa-primary-color: orange; --fa-secondary-color: orange; font-size: 1.2rem; }
